﻿<%@ Page Title="Home Page" Language="VB" MasterPageFile="~/Site.Master" AutoEventWireup="false"
    CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="EmployeesGridVB.ascx" TagName="EmployeesGrid" TagPrefix="uc1" %>
<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            function ProcessDelete()
            {
                //get reference to the client grid object using the global window variable set in the user control's Page_Load server handler
                var grid = $find(window['gridId']);

                if (grid.get_masterTableView().get_selectedItems().length > 0)
                {
                    if (confirm('Are you sure you want to delete this employee?'))
                    {
                        return true;
                    }
                    else
                    {
                        return false;
                    }
                }
                else
                {
                    radalert('You must select a grid row first before processing delete');
                    return false;
                }
            }
            function ProcessUpdate()
            {
                //get reference to the client grid object using the global window variable set in the user control's Page_Load server handler
                var grid = $find(window['gridId']);
                var btnDelete = $get("<%=btnDelete.ClientID %>");

                if ((btnDelete.style.display == "none") || grid.get_masterTableView().get_selectedItems().length > 0)
                {
                    return true;
                }
                else
                {
                    radalert('You must select a grid row first before processing update');
                    return false;
                }
            }
        </script>
    </telerik:RadCodeBlock>
    <telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="DivExternalForm">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="DivExternalForm" LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnSaveChanges">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="EmployeesGrid1" LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnSaveChanges">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="btnDelete" LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManagerProxy>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    <telerik:RadWindowManager ID="RadWindowManager1" runat="server" />
    <uc1:EmployeesGrid ID="EmployeesGrid1" runat="server" />
    <div style="border: 1px solid threedshadow;" id="DivExternalForm" runat="server">
        <asp:Panel ID="pnlExternalForm" runat="server" Visible="false">
            <table border="0" style="margin-top: 20px; width: 100%;">
                <tr>
                    <td style="width: 100px;">
                        Employee ID:
                    </td>
                    <td>
                        <asp:Label ID="EmployeeID" Style="float: left; font-weight: bold;" runat="server" />
                        <asp:Button ID="btnSaveChanges" Style="float: right; color: black; font-weight: bold;"
                            Text="Save" runat="server" OnClientClick="if(!ProcessUpdate()) return false;" />
                        <asp:Button ID="btnDelete" Style="float: right; margin-right: 10px; color: black;
                            font-weight: bold;" OnClientClick="if(!ProcessDelete()) return false;" Text="Delete"
                            runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        Last name:
                    </td>
                    <td>
                        <telerik:RadTextBox ID="LastName" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        First name:
                    </td>
                    <td>
                        <telerik:RadTextBox ID="FirstName" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        Title:
                    </td>
                    <td>
                        <telerik:RadTextBox ID="Title1" runat="server">
                        </telerik:RadTextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        Title of courtesy:
                    </td>
                    <td>
                        <telerik:RadComboBox ID="TitleOfCourtesy" runat="server">
                            <Items>
                                <telerik:RadComboBoxItem Text="" Value="" />
                                <telerik:RadComboBoxItem Text="Dr." Value="Dr." />
                                <telerik:RadComboBoxItem Text="Mr." Value="Mr." />
                                <telerik:RadComboBoxItem Text="Mrs." Value="Mrs." />
                                <telerik:RadComboBoxItem Text="Ms." Value="Ms." />
                            </Items>
                        </telerik:RadComboBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        Birth date:
                    </td>
                    <td>
                        <telerik:RadDatePicker ID="BirthDate" MinDate="01/01/1900" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align: top;">
                        Notes:
                    </td>
                    <td style="height: 300px; vertical-align: top;">
                        <telerik:RadEditor ID="Notes" Width="400px" runat="server" Height="250px">
                            <Tools>
                                <telerik:EditorToolGroup>
                                    <telerik:EditorTool Name="Italic" />
                                    <telerik:EditorTool Name="Bold" />
                                    <telerik:EditorTool Name="Underline" />
                                    <telerik:EditorTool Name="StrikeThrough" />
                                    <telerik:EditorTool Name="JustifyLeft" />
                                    <telerik:EditorTool Name="JustifyCenter" />
                                    <telerik:EditorTool Name="JustifyRight" />
                                    <telerik:EditorTool Name="JustifyFull" />
                                </telerik:EditorToolGroup>
                            </Tools>
                        </telerik:RadEditor>
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </div>
</asp:Content>
